Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
detailcategorylist.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $ProductID, $CategoryID, $CategoryArray)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $Limit = $ini->variable( "eZTradeMain", "AdminProductLimit" )
| $hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )
| $hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $t
if(isSet( $DetailView)) if(isSet( $NormalView)) | $checkMode =& eZSession::globalSession()
| $category = new eZProductCategory()
if( $category->sortMode()=="absolute_placement") | $pathArray =& $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $i = 0
| $TotalTypes =& $category->productCount( $category->sortMode(), true, true )
| $productList =& $category->products( $category->sortMode(), true, $Offset, $Limit, true )
| $locale = new eZLocale( $Language )
foreach( $productList as $product) if(isSet( $DetailView)) | else

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $ProductID,
|  |  | $CategoryID,
|  |  | $CategoryArray
| ) |  |

Definition at line 37 of file detailcategorylist.php.

References $CategoryID, $file, and $files.

## Variable Documentation

## ◆ $category

$category = new eZProductCategory()

Definition at line 169 of file detailcategorylist.php.

## ◆ $categoryList

$categoryList =& $category->getByParent( $category )

Definition at line 202 of file detailcategorylist.php.

## ◆ $checkMode

if (isSet($DetailView)) if (isSet($NormalView)) $checkMode =& eZSession::globalSession()

Definition at line 88 of file detailcategorylist.php.

## ◆ $hotDealImageHeight

$hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )

Definition at line 67 of file detailcategorylist.php.

## ◆ $hotDealImageWidth

$hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )

Definition at line 66 of file detailcategorylist.php.

## ◆ $i

$i = 0

Definition at line 205 of file detailcategorylist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 62 of file detailcategorylist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 64 of file detailcategorylist.php.

## ◆ $Limit

$Limit = $ini->variable( "eZTradeMain", "AdminProductLimit" )

Definition at line 65 of file detailcategorylist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 252 of file detailcategorylist.php.

## ◆ $pathArray

if ($category->sortMode()=="absolute_placement") $pathArray =& $category->path()

Definition at line 188 of file detailcategorylist.php.

## ◆ $productList

$productList =& $category->products( $category->sortMode(), true, $Offset, $Limit, true )

Definition at line 250 of file detailcategorylist.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 68 of file detailcategorylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"eztrade/admin/intl/", $Language, "detailcategorylist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: detailcategorylist.php:64
$ini
$ini
Definition: detailcategorylist.php:62

Definition at line 73 of file detailcategorylist.php.

## ◆ $TotalTypes

$TotalTypes =& $category->productCount( $category->sortMode(), true, true )

Definition at line 249 of file detailcategorylist.php.

## ◆ else

else

Initial value:
{
$t->set_var( "is_detail_view", "" )
$t
$t
Definition: detailcategorylist.php:73

Definition at line 735 of file detailcategorylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.